com.google.gwt.text.client

## Class DoubleParser

- java.lang.Object
- - com.google.gwt.text.client.DoubleParser

All Implemented Interfaces:
  Parser<java.lang.Double>

    public class DoubleParser
    extends java.lang.Object
    implements Parser<java.lang.Double>

A localized parser based on `NumberFormat.getDecimalFormat()`.

### Constructor Summary

Constructors
`protected` `DoubleParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Parser<java.lang.Double>` `instance()` Returns the instance of the no-op renderer.
`java.lang.Double` `parse(java.lang.CharSequence object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleParser

    protected DoubleParser()

### Method Detail

#### instance

    public static Parser<java.lang.Double> instance()

Returns the instance of the no-op renderer.

#### parse

    public java.lang.Double parse(java.lang.CharSequence object)
                           throws java.text.ParseException

Specified by:
  `parse` in interface `Parser<java.lang.Double>`
Throws:
  `java.text.ParseException`